/**
 * The test_registry is a simple service which just responds with some canned
 * JSON responses
 */

extern crate pretty_env_logger;
extern crate tide;

use async_std::task;
use log::*;
use tide::Request;


async fn generic_json(req: Request<()>) -> Result<String, tide::Error> {
    info!("Received request to: {}", req.url());

    Ok(format!(r#"{{"url" : "{}"}}"#, req.url()))
}

fn main() -> Result<(), std::io::Error> {
    pretty_env_logger::init();

    task::block_on(async {
        let mut app = tide::new();
        app.at("/").get(generic_json);
        app.at("*").get(generic_json);
        app.listen("127.0.0.1:2345").await?;
        Ok(())
    })
}

#[cfg(test)]
mod tests {
}
